Package org.optaplanner.core.impl.heuristic.selector.entity

## Class AbstractEntitySelector

- java.lang.Object
- - org.optaplanner.core.impl.heuristic.selector.AbstractSelector
  - - org.optaplanner.core.impl.heuristic.selector.entity.AbstractEntitySelector

- All Implemented Interfaces:
    `Iterable<Object>`, `EventListener`, `ListIterable<Object>`, `EntitySelector`, `IterableSelector<Object>`, `ListIterableSelector<Object>`, `Selector`, `PhaseLifecycleListener`, `SolverLifecycleListener`
  Direct Known Subclasses:
    `AbstractCachingEntitySelector`, `FilteringEntitySelector`, `FromSolutionEntitySelector`, `MimicRecordingEntitySelector`, `MimicReplayingEntitySelector`, `NearEntityNearbyEntitySelector`, `ProbabilityEntitySelector`, `SelectedCountLimitEntitySelector`

      public abstract class AbstractEntitySelector
      extends AbstractSelector
      implements EntitySelector

  Abstract superclass for `EntitySelector`.
  See Also:
    `EntitySelector`

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `logger, phaseLifecycleSupport, workingRandom`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractEntitySelector()` |

  - ### Method Summary

    - ### Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector

      `getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.entity.EntitySelector

      `endingIterator, getEntityDescriptor`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector

      `getSize`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.common.iterator.ListIterable

      `listIterator, listIterator`

    - ### Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener

      `phaseEnded, phaseStarted, stepEnded, stepStarted`

    - ### Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector

      `getCacheType, isCountable, isNeverEnding`

    - ### Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener

      `solvingEnded, solvingStarted`

- - ### Constructor Detail

    - #### AbstractEntitySelector

          public AbstractEntitySelector()